LINUX.ORG.RU

rpm дистрибутив


0

1

Какой попробовать? Условия , всё работает из коробки,не рассыпается во время эксплуатации,свежие кеды. Траффик ограниченный, так бы тупо все запилил на виртуалку и тестил.Федору не предлагать , вафля не завелась из коробки.


Mageia. Но для самых свежих кед надо брать бету 3-ей версии.

amus ★★★ ()

Федору не предлагать , вафля не завелась из коробки.

18тую пробовал?

Ну или смотри в сторону openSUSE, только к ней придется подключить уйму репозиториев, что бы привесты в состояние up to date. Но это не мешает работе, очень положительные отзывы о ней. Сам любитель rpm дистров, и выбираю только между этими 2мя.

anonymous ()
Ответ на: комментарий от pear-user

rosa desktop fresh

Постоянно тормозящее и глючащее российское (читай - сделанное на коленке) поделие?

anonymous ()
Ответ на: комментарий от anonymous

Mageia, можно сказать, - продолжение классической Mandriva.

amus ★★★ ()

вафля не завелась из коробки.

У меня тоже. Но использование RFRemix помогло с этим. Та же Fedora, но с дополнительными репозиториями изначально и набором софта и драйверов.

StalinEXE ★★★★★ ()

openSuSE. Сомневаюсь, что у магеи есть аналог OBS.

X10Dead ★★★★★ ()

вафля не завелась из коробки.

Бук что ли ? У ALT KDesktop 6 WiFi работает. ;-)

AS ★★★★★ ()
Ответ на: комментарий от q9

Если вам надо чтоб было «все из коропки»-наймите персонального админа своего компьютера,иначе-даже на винде ничего из коропки нет,техже кодеков нет.Выкидывай компьютер,не иначе.

anonymous ()
Ответ на: комментарий от Deleted

Нету,нету в сюсе проприетарного драйвера по дефолту,нету кодеков(мп3 нет,видеозакрытых тоже нет),даже ядро придется переустанавливать после установки(или обновлять как минимум).Все конечно решается репозиториями,но поюсь ТС побежит ставить все с оффсайтов и компилять,потом плеваться,рукожопие оно такое...

Такчто сюся неподходит.

anonymous ()
Ответ на: комментарий от anonymous

сюся неподходит

Значит, ошибся. Соу сорри.

Deleted ()
Ответ на: комментарий от q9

Непонятно, что за WiFi. :-( Пишут, что какой-то Standard Dell Wireles непонятный...
Видео, на сколько вижу, Intel HD Graphics, с этим должно быть хорошо.
Ну и не знаю, что с кнопками Fn будет. В двух случаях из двух у меня нормально с ними, но Dell-ов у меня нет.

AS ★★★★★ ()
Последнее исправление: AS (всего исправлений: 2)
Ответ на: комментарий от anonymous

там же oneclick install есть, специально для таких случаев

registrant ★★★★★ ()
Ответ на: комментарий от AS

Пишут, что какой-то Standard Dell Wireles непонятный.

Ноут говно полное, там ещё и alps стоит которым невозможно под линуксом пользоватся. Хотя в убунту,сабаён,чакра вафля без проблем работала

q9 ()

Нужно установить допустим какой то софт с библиотекой 2008 года которая больше не разу не обновлялась, дебиан в таком случае ругается на несовместимость пакетов и такой софт не как не установить.В rpm такая же херня как и в deb дистрибутивах?

q9 ()
Ответ на: комментарий от q9

Нужно установить допустим какой то софт с библиотекой 2008 года которая больше не разу не обновлялась, дебиан в таком случае ругается на несовместимость пакетов и такой софт не как не установить.

Совместимость со старым софтом лучше всего дела обстоят в BSD. Скажем под FreeBSD собрать старые третьи кеды - нет проблем.

Если нужна изкоробочность, то советую настольную разновидность PC-BSD 9.1

anonymous ()
Ответ на: комментарий от q9

В rpm такая же херня как и в deb дистрибутивах ?

Конечно. Но, только, это не rpm или deb проблема, а проблема мантейнера. Можно так собирать библиотеки, что и старая, и новая смогут быть установлены вместе.

AS ★★★★★ ()
Ответ на: комментарий от q9

Да, кеды например если нет кодека в стандартных репах - предложат поискать в репах коммьюнити. Если чего-то нет, то прямо в yast'е можно подключить packman, в котором есть всё нужное.

X10Dead ★★★★★ ()
Последнее исправление: X10Dead (всего исправлений: 1)
Ответ на: комментарий от pear-user

лютый глюкодром такой же как магея бета 3

bhfq ★★★★★ ()
Ответ на: комментарий от AS

Есть ещё дистрибутивы кроме генту и сабаёна которых эта проблема не касается?

q9 ()

Федору не предлагать , вафля не завелась из коробки.

c таким подходом шиндовс7 будет лучшим вариантом.

Deleted ()
Ответ на: комментарий от q9

Нет, и в официальных репах не предвидится. Попробуй Alt - говорят очень годных дистрибутив.

ivanlex ★★★★ ()
Ответ на: комментарий от Deleted

Нет. Появятся только после подключения сторонних реп. Специально недавно проверял.

ivanlex ★★★★ ()
Ответ на: комментарий от q9

Да. Этому не подвержены только Slackware и другие дистрибутивы, с похожим подходом.

ivanlex ★★★★ ()
Ответ на: комментарий от anonymous

Если вам надо чтоб было «все из коропки»-наймите персонального админа своего компьютера,иначе-даже на винде ничего из коропки нет,техже кодеков нет.Выкидывай компьютер,не иначе.

4.2

полно полулегальных сборок, и линуксов, и венды. Конечно - что там будет, нужный драйвер и/или троян - никто точно не знает.

drBatty ★★ ()
Ответ на: комментарий от X10Dead

Проверял вчера, просто говорит: «Давай поищем...», а потом говорит: «Нет, не судьба тебе посмотреть эту фильму». Установить что-то откуда-то, или тем более, что-то подключить - не предлагает.

ivanlex ★★★★ ()
Ответ на: комментарий от ivanlex

Нужно установить допустим какой то софт с библиотекой 2008 года которая больше не разу не обновлялась, дебиан в таком случае ругается на несовместимость пакетов и такой софт не как не установить.В rpm такая же херня как и в deb дистрибутивах?

Да. Этому не подвержены только Slackware и другие дистрибутивы, с похожим подходом.

не пори чушь. В слаке ты хрен поставишь какую-то либу 2008го года. Разве что откатив слаку до 2008го (как и в любом дистре). Можно ручками всё собирать, и сделать специальный пакет с дополнительной либой (это тоже везде можно).

drBatty ★★ ()
Ответ на: комментарий от q9

Есть ещё дистрибутивы кроме генту и сабаёна которых эта проблема не касается?

Я так думаю, что их она тоже касается, если разобраться. Потому как, если состав системных файлов вообще никак не контролируется, это только хуже: выстрелит совсем внезапно. А если там таки есть контроль, то могут быть и конфликты по файлам.

AS ★★★★★ ()

Минусуй, но федора.
Не завелась вафля - посмотри (или запости сюда) модель сетевой карты и скачай пакетик с firmware, скорее всего - несколько килобайт.

ArtKun ★★★★★ ()
Ответ на: комментарий от anonymous

ядро придется переустанавливать после установки(или обновлять как минимум).

Это зачем?

Nxx ★★★★★ ()
Ответ на: комментарий от anonymous

Скажем под FreeBSD собрать старые третьи кеды - нет проблем.

Пот openSUSE тоже нет проблем.

Nxx ★★★★★ ()
Ответ на: комментарий от AS

Почему не кто не работает над тем что бы такого не случалось ? Ведь готовые наработки уже есть slax и porteus когда все нужные библиотеки уже есть в установочном пакете и нет не каких конфликтов с другими библиотеками эдакий линуксовый .exe

q9 ()
Ответ на: комментарий от q9

Есть такое уже. Просто это не юниксвей. Вот в PC-BSD установочный пакет приложения содержит все зависимости. После установки ничего не конфликтует, на одном компе могут находится и работать сразу несколько версий библиотек.

jamy ()
Ответ на: комментарий от q9

Почему не кто не работает над тем что бы такого не случалось ?

Потому, что это не нужно.

Во-первых, разделяемые библиотеки придумали совсем не зря: это позволяет экономить на скорости загрузки, на использовании памяти, и, в конце концов, позволяет закрывать уязвимости не пересборкой всего и вся, а только обновлением библиотеки.

Во-вторых, те, кто собирают пакеты с закрытыми исходниками, могут немного подумать головой и собрать пакеты со статической линковкой. И будет тот самый «эдакий линуксовый .exe». То есть, это, вообще, не проблема ни одного из дистрибутивов.

AS ★★★★★ ()

вафля не завелась из коробки

Ну а че не копнешь?

splinter ★★★★★ ()
Ответ на: комментарий от AS

Некоторый софт существует, но не обновляется с 2007-2008 года , что бы пользоваться 2-3 программами нужно «назад в бушующие» где будет ещё больше не закрытых на тот момент уязвимостей.

q9 ()
Ответ на: комментарий от q9

Ну и правильно, зачем лишний геморрой?
//в 64-битных багов больше, да и не всё есть

amorpher ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.